Index: jobvista-frontend/src/App.js
===================================================================
--- jobvista-frontend/src/App.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/App.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,15 +1,11 @@
 import logo from './logo.svg';
 import './App.css';
-import {useDispatch, useSelector} from "react-redux";
+import {useDispatch} from "react-redux";
 import {BrowserRouter} from "react-router-dom";
 import {Header} from "./views/static/Header";
-import RoutesConfig from "./auth/RoutesConfig";
-import React, {useEffect, useState} from "react";
+import {RoutesConfig} from "./auth/RoutesConfig";
+import {useEffect} from "react";
 import {AuthActions} from "./redux/actions/authActions";
 import {AUTH_TOKEN} from "./axios/axiosInstance";
-import {jwtDecode} from "jwt-decode";
-import {NoAccess} from "./views/static/NoAccess";
-import {Loading} from "./views/static/Loading";
-import {ToastContainer} from "react-toastify";
 
 function App() {
@@ -20,64 +16,10 @@
     }, [dispatch])
 
-    const [user, setUser] = useState(null);
-    const [loading, setLoading] = useState(true);
-    const [minimumLoadingTime, setMinimumLoadingTime] = useState(true);
-
-    const auth = useSelector(state => state.auth);
-
-    useEffect(() => {
-        // Simulate a minimum loading time of 1 second
-        const timer = setTimeout(() => {
-            setMinimumLoadingTime(false);
-        }, 1000);
-
-        // Clear timeout if component unmounts
-        return () => clearTimeout(timer);
-    }, []);
-
-    useEffect(() => {
-        const token = localStorage.getItem(AUTH_TOKEN);
-        if (token !== null) {
-            try {
-                const decodedToken = jwtDecode(token);
-                setUser({
-                    name: decodedToken.name,
-                    role: decodedToken.role,
-                    hasAccess: decodedToken.access,
-                    id: decodedToken.id
-                });
-                setLoading(false);
-            } catch (error) {
-                console.error('Failed to decode token', error);
-                setLoading(false);
-            }
-        } else {
-            setLoading(false);
-        }
-    }, [auth]);
-
-    if (loading || minimumLoadingTime) {
-        return <Loading />; // Replace LoadingSpinner with your loading indicator component
-    }
-
   return (
       <div className="App">
           <BrowserRouter>
-              {user === null ? (
-                  <>
-                      <Header />
-                      <RoutesConfig />
-                  </>
-              ) : user.hasAccess ? (
-                  <>
-                      <Header />
-                      <RoutesConfig />
-                      {/*<Loading/>*/}
-                  </>
-              ) : (
-                  <NoAccess user={user}/>
-              )}
+              <Header/>
+              <RoutesConfig/>
           </BrowserRouter>
-          <ToastContainer/>
       </div>
   );
Index: jobvista-frontend/src/auth/RoutesConfig.js
===================================================================
--- jobvista-frontend/src/auth/RoutesConfig.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/auth/RoutesConfig.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,223 +1,17 @@
-import {Navigate, Route, Router, Routes} from 'react-router-dom'
+
+import {Route, Router, Routes} from 'react-router-dom'
 import {Dashboard} from "../views/dashboard/Dashboard";
 import {SignInForm} from "../views/auth/SignInForm";
 import {SignUpRecruiterForm} from "../views/auth/SignUpRecruiterForm";
 import {SignUpJobSeekerForm} from "../views/auth/SignUpJobSeekerForm";
-import {Workspace} from "../views/job_advertisements/JobManagementHub";
-import {JobAdDetails} from "../views/job_advertisements/JobAdDetails";
-import {ApplicationsByJobAd} from "../views/applications/ApplicationsByJobAd";
-import {ApplicationsByJobSeeker} from "../views/applications/ApplicationsByJobSeeker";
-
-import {AdminPanel} from "../views/admin_panel/AdminPanel";
-import {RecruiterProfile} from "../views/profiles/RecruiterProfile";
-import {AboutUs} from "../views/static/AboutUs";
-import {JobSeekerEditProfile} from "../views/profiles/JobSeekerEditProfile";
-import {RecruiterEditProfile} from "../views/profiles/RecruiterEditProfile";
-import Roles from "../enumerations/Roles";
-import {useSelector} from "react-redux";
-import {useEffect, useState} from "react";
-import {ErrorPage} from "../views/static/ErrorPage";
-import {NoAccess} from "../views/static/NoAccess";
-
-export const PrivateRoutes = [
-    {
-        component: AdminPanel,
-        path: '/admin-panel',
-        title: 'Admin Panel',
-        exact: true,
-        permission: [
-            Roles.ADMIN
-        ]
-    },
-    {
-        component: Workspace,
-        path: '/job-management-hub',
-        title: 'Job Management Hub',
-        exact: true,
-        permission: [
-            Roles.RECRUITER,
-        ]
-    },
-    {
-        component: ApplicationsByJobAd,
-        path: '/job-management-hub/applications/:advertisement_id',
-        title: 'Applications by Job Ad',
-        exact: true,
-        permission: [
-            Roles.RECRUITER
-        ]
-    },
-    {
-        component: ApplicationsByJobSeeker,
-        path: '/my-applications',
-        title: 'My Applications',
-        exact: true,
-        permission: [
-            Roles.JOBSEEKER
-        ]
-    },
-
-    {
-        component: JobSeekerEditProfile,
-        path: '/job-seeker/edit-profile',
-        title: 'Edit Job Seeker Profile',
-        exact: true,
-        permission: [
-            Roles.JOBSEEKER
-        ]
-    },
-    {
-        component: RecruiterEditProfile,
-        path: '/recruiter/edit-profile',
-        title: 'Edit Recruiter Profile',
-        exact: true,
-        permission: [
-            Roles.RECRUITER
-        ]
-    },
-]
-
-export const PublicRoutes = [
-    {
-        component: Dashboard,
-        path: "/",
-        exact: true,
-        permission: [
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN,
-            Roles.GUEST
-        ]
-    },
-    {
-        component: SignInForm,
-        path: '/signin',
-        title: 'Sign In',
-        exact: true,
-        permission: [
-            Roles.GUEST,
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN
-        ]
-    },
-
-    {
-        component: SignUpRecruiterForm,
-        path: '/signup/recruiter',
-        title: 'Sign Up as Recruiter',
-        permission: [
-            Roles.GUEST,
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN
-        ]
-    },
-    {
-        component: SignUpJobSeekerForm,
-        path: '/signup/job-seeker',
-        title: 'Sign Up as Job Seeker',
-        permission: [
-            Roles.GUEST,
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN
-        ]
-    },
-    {
-        component: JobAdDetails,
-        path: '/job-advertisements/:id',
-        title: 'Job Advertisement Details',
-        exact: true,
-        permission: [
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN,
-            Roles.GUEST
-        ]
-    },
-    {
-        component: RecruiterProfile,
-        path: '/recruiters/:id',
-        title: 'Recruiter Profile',
-        exact: true,
-        permission: [
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN,
-            Roles.GUEST
-        ]
-    },
-    {
-        component: AboutUs,
-        path: '/about',
-        title: 'About Us',
-        exact: true,
-        permission: [
-            Roles.GUEST,
-            Roles.RECRUITER,
-            Roles.JOBSEEKER,
-            Roles.ADMIN
-        ]
-    },
-    {
-        component: NoAccess,
-        path: '/no-access',
-        title: 'No Access',
-        exact: true,
-        permission: [
-            Roles.GUEST,
-            Roles.RECRUITER,
-        ]
-    },
-]
-
-const AllRoutes = [...PrivateRoutes, ...PublicRoutes];
-
-const filterRoutes = (roleParam) => {
-    return AllRoutes.filter(route => {
-        return route.permission.includes(roleParam);
-    });
-};
-const RoutesConfig = () => {
-    const currentUser = useSelector(state => state.auth.currentUser);
-    const [role, setRole] = useState(Roles.GUEST);
-
-    useEffect(() => {
-        if (currentUser) {
-            setRole(currentUser.role);
-        }
-    }, [currentUser]);
+export const RoutesConfig = () => {
 
     return (
-        <Routes>
-            {filterRoutes(role).map(route => (
-                <Route
-                    key={route.path}
-                    path={route.path}
-                    element={<route.component/>}
-                    exact={route.exact}
-                />
-            ))}
-            <Route path="*" element={<ErrorPage to="/"/>}/>
-        </Routes>
-
-        // <Routes>
-        //     <Route path="/" element={<Dashboard/>}></Route>
-        //     <Route path="/signin" element={<SignInForm/>}></Route>
-        //     <Route path="/signup/recruiter" element={<SignUpRecruiterForm/>}></Route>
-        //     <Route path="/signup/job-seeker" element={<SignUpJobSeekerForm/>}></Route>
-        //     <Route path="/job-management-hub" element={<Workspace/>}></Route>
-        //     <Route path="/my-applications" element={<ApplicationsByJobSeeker/>}></Route>
-        //     <Route path="/job-advertisements/:id" element={<JobAdDetails/>}></Route>
-        //     <Route path="/recruiters/:id" element={<RecruiterProfile/>}></Route>
-        //     <Route path="/job-management-hub/applications/:advertisement_id" element={<ApplicationsByJobAd/>}></Route>
-        //     <Route path="/admin-panel" element={<AdminPanel/>}></Route>
-        //     <Route path="/about" element={<AboutUs/>}></Route>
-        //     <Route path="/job-seeker/edit-profile" element={<JobSeekerEditProfile/>}></Route>
-        //     <Route path="/recruiter/edit-profile" element={<RecruiterEditProfile/>}></Route>
-        // </Routes>
+            <Routes>
+                <Route path="/" element={<Dashboard/>}></Route>
+                <Route path="/signin" element={<SignInForm/>}></Route>
+                <Route path="/signup/recruiter" element={<SignUpRecruiterForm/>}></Route>
+                <Route path="/signup/job-seeker" element={<SignUpJobSeekerForm/>}></Route>
+            </Routes>
     )
 }
-
-export default RoutesConfig
Index: jobvista-frontend/src/enumerations/Roles.js
===================================================================
--- jobvista-frontend/src/enumerations/Roles.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/enumerations/Roles.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -14,4 +14,3 @@
     RECRUITER: 'ROLE_RECRUITER',
     JOBSEEKER: 'ROLE_JOBSEEKER',
-    GUEST: 'ROLE_GUEST'
 };
Index: jobvista-frontend/src/redux/actionTypes.js
===================================================================
--- jobvista-frontend/src/redux/actionTypes.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/redux/actionTypes.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -4,27 +4,2 @@
 export const UPDATE_TOKEN = "UPDATE_TOKEN"
 export const CURRENT_USER = "CURRENT_USER"
-
-export const ADD_JOB_ADVERTISEMENT = "ADD_JOB_ADVERTISEMENT"
-export const EDIT_JOB_ADVERTISEMENT = "EDIT_JOB_ADVERTISEMENT"
-export const DELETE_JOB_ADVERTISEMENT = "DELETE_JOB_ADVERTISEMENT"
-export const FETCH_JOB_ADVERTISEMENTS = "FETCH_JOB_ADVERTISEMENTS"
-export const FILTER_JOB_ADVERTISEMENTS = "FILTER_JOB_ADVERTISEMENTS"
-export const FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER = "FETCH_JOB_ADVERTISEMENTS_BY_RECRUITER"
-export const FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER = "FILTER_JOB_ADVERTISEMENTS_BY_RECRUITER"
-export const SUBMIT_APPLICATION = "SUBMIT_APPLICATION"
-export const UPDATE_APPLICATION = "UPDATE_APPLICATION"
-export const UPDATE_APPLICATION_STATUS = "UPDATE_APPLICATION_STATUS"
-export const UPDATE_APPLICATIONS = "UPDATE_APPLICATIONS"
-export const FETCH_APPLICATIONS_BY_JOB_ID = "FETCH_APPLICATIONS_BY_JOB_ID"
-export const FILTER_APPLICATIONS_BY_JOB_ID = "FILTER_APPLICATIONS_BY_JOB_ID"
-export const FETCH_APPLICATIONS_BY_JOB_SEEKER_ID = "FETCH_APPLICATIONS_BY_JOB_SEEKER_ID"
-export const FILTER_APPLICATIONS_BY_JOB_SEEKER_ID = "FILTER_APPLICATIONS_BY_JOB_SEEKER_ID"
-export const DOWNLOAD_RESUME = "DOWNLOAD_RESUME"
-
-export const FETCH_RECRUITERS = "FETCH_RECRUITERS"
-export const CHANGE_ACCESS = "CHANGE_ACCESS"
-export const SUBMIT_RECRUITER_LOGO = "SUBMIT_RECRUITER_LOGO"
-export const SUBMIT_RECRUITER_COVER = "SUBMIT_RECRUITER_COVER"
-export const SET_LOGO_URL = 'SET_LOGO_URL';
-export const SET_PROFILE_PIC_URL = 'SET_PROFILE_PIC_URL';
-
Index: jobvista-frontend/src/redux/actions/authActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/authActions.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/redux/actions/authActions.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -36,30 +36,4 @@
     },
 
-    signInGoogle: (tokenId, callback) => {
-        return dispatch => {
-            axios.post("/auth/google", { tokenId })
-                .then(jwtResponse => {
-                    const response = jwtResponse.data;
-                    const token = response.token;
-                    const user = {
-                        name: response.name,
-                        role: response.role,
-                        access: response.hasAccess,
-                        id: response.id,
-                    };
-                    dispatch({
-                        type: SIGN_IN,
-                        payload: {
-                            token,
-                            user
-                        }
-                    });
-                    callback && callback(true);
-                }).catch(error => {
-                callback && callback(false, error);
-            });
-        };
-    },
-
     signIn: (email, password, callback) => {
         return dispatch => {
@@ -69,10 +43,9 @@
                 const response = jwtResponse.data;
                 const token = response.token;
-                //const refreshToken = response.refreshToken;
+                //const refreshToken = response.refreshToken; // Corrected typo
                 const user = {
+                    email: response.email,
                     name: response.name,
-                    role: response.role,
-                    access: response.hasAccess,
-                    id: response.id,
+                    role: response.role
                 };
                 dispatch({
Index: jobvista-frontend/src/redux/reducers/authReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/authReducer.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/redux/reducers/authReducer.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -3,5 +3,4 @@
 import {isExpired} from "react-jwt";
 import {CURRENT_USER, SIGN_IN, SIGN_OUT, UPDATE_TOKEN} from "../actionTypes";
-import {jwtDecode} from "jwt-decode";
 
 const initialState = {
@@ -14,5 +13,5 @@
         case SIGN_IN:
             localStorage.setItem(AUTH_TOKEN, action.payload.token);
-            //localStorage.setItem(CURRENT_USER, JSON.stringify(action.payload.user));
+            localStorage.setItem(CURRENT_USER, JSON.stringify(action.payload.user));
             return {
                 ...state,
@@ -22,24 +21,10 @@
         case UPDATE_TOKEN:
             let token = action.payload;
-            let decodedToken;
-            let currentUser = "";
-            if(token !=null) {
-                try {
-                    decodedToken = jwtDecode(token);
-                } catch (error) {
-                    console.log("Failed to decode token: " + error)
-                }
-            }
-
+            let currentUser = null
             if(!isExpired(token)) {
                 localStorage.setItem(AUTH_TOKEN, token);
-                currentUser = {
-                    name: decodedToken.name,
-                    role: decodedToken.role,
-                    access: decodedToken.access,
-                    id: decodedToken.id
-                };
+                currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
             } else {
-                //localStorage.removeItem(CURRENT_USER);
+                localStorage.removeItem(CURRENT_USER);
                 localStorage.removeItem(AUTH_TOKEN);
                 currentUser = "";
@@ -52,10 +37,11 @@
             };
         case SIGN_OUT:
-            //localStorage.removeItem(CURRENT_USER);
+            console.log("BRISAM")
+            localStorage.removeItem(CURRENT_USER);
             localStorage.removeItem(AUTH_TOKEN);
             return {
                 ...state,
-                currentUser: "",
-                token: "",
+                currentUser: null,
+                token: null
             }
 
Index: jobvista-frontend/src/redux/store.js
===================================================================
--- jobvista-frontend/src/redux/store.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/redux/store.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -2,9 +2,5 @@
 import { combineReducers } from 'redux';
 import authReducer from "./reducers/authReducer";
-import jobAdReducer from "./reducers/jobAdvertisementReducer";
-import applicationReducer from "./reducers/applicationReducer"
-import adminReducer from "./reducers/adminReducer"
-import {AdminActions} from "./actions/adminActions";
-import ImagesReducer from "./reducers/imagesReducer";
+import { thunk } from 'redux-thunk';
 
 // const rootReducer = combineReducers({
@@ -19,9 +15,5 @@
 export const store = configureStore({
     reducer: {
-        auth: authReducer,
-        jobAd: jobAdReducer,
-        appl: applicationReducer,
-        admin: adminReducer,
-        images: ImagesReducer
+        auth: authReducer
     },
 });
Index: jobvista-frontend/src/views/auth/SignInForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignInForm.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/SignInForm.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,2 +1,3 @@
+import {Button, TextField} from "@mui/material";
 import {Link} from "react-router-dom";
 import "./auth.css"
@@ -7,7 +8,4 @@
 import {yupResolver} from "@hookform/resolvers/yup";
 import {AuthActions} from "../../redux/actions/authActions";
-import {notifyIncorrectEmailOrPassword} from "../../utils/toastUtils";
-
-import {GoogleOAuthProvider, GoogleLogin} from "@react-oauth/google";
 
 export const SignInForm = () => {
@@ -29,41 +27,24 @@
     const signIn = async (values) => {
         try {
-            dispatch(AuthActions.signIn(values.emailLog, values.passwordLog, success => {
-                    if(success) {
-                        navigate("/")
-                    } else {
-                        notifyIncorrectEmailOrPassword()
-                    }
+            dispatch(AuthActions.signIn(values.emailLog, values.passwordLog,
+                    success => {
+                    // createSnackbar({
+                    //     message: success ? 'Successfully signed up.' : 'Error while signing up. Try again!',
+                    //     timeout: 2500,
+                    //     theme: success ? 'success' : 'error'
+                    // });
+                    success && navigate("/");
                 }));
         } catch (err) {
-            // console.error(err);
+            console.error(err);
         }
     }
 
-    const handleGoogleSuccess = (response) => {
-        const tokenId = response.credential;
-
-        dispatch(AuthActions.signInGoogle(tokenId, (success, error) => {
-            if (success) {
-                console.log("User signed in successfully");
-                if(success) {
-                    navigate("/")
-                }
-            } else {
-                console.error("Google sign-in failed", error);
-            }
-        }));
-    };
-
-    const handleGoogleFailure = (error) => {
-        console.error(error);
-    };
-
     return (
 
-        <div className="">
+        <div className="d-flex align-items-center">
             <div className="container">
-                <div className="row d-flex flex-column justify-content-center align-items-center">
-                    <div className="col-md-8 form-container">
+                <div className="row">
+                    <div className="col-md-8 mx-auto form-container">
                         <h3 className="login-heading mb-4">Sign in</h3>
                         <form onSubmit={handleSubmit(signIn)}>
@@ -89,5 +70,5 @@
                             <div className="d-grid mb-3">
                                 <button
-                                    className="btn btn-lg auth-primary-btn text-uppercase fw-bold mb-2"
+                                    className="btn btn-lg btn-primary text-uppercase fw-bold mb-2"
                                     type="submit">Sign in
                                 </button>
@@ -103,33 +84,12 @@
 
                         <div className="row">
-                            <GoogleOAuthProvider clientId={process.env.REACT_APP_GOOGLE_CLIENT_ID}>
-                                <GoogleLogin
-                                    onSuccess={handleGoogleSuccess}
-                                    onError={handleGoogleFailure}
-                                    type={"standard"}
-                                    text={"signin_with"}
-                                    locale={"en"}
-                                    redirectUri="http://localhost:3000/login/oauth2/code/google"
-                                />
-                            </GoogleOAuthProvider>
-                        </div>
-                        <br/>
-                    </div>
-
-                    <div className="col-md-8 mt-5 form-container">
-                        <div>
-                            <h5 className="mb-3">Don't have an account?</h5>
-                        </div>
-
-                        <div className="row">
                             <div className="col-md-6">
-                                <Link to="/signup/recruiter" className="btn auth-secondary-btn text-uppercase fw-bold mb-2 w-100">SIGN UP AS RECRUITER</Link>
+                                <Link to="/signup/recruiter" className="btn btn-outline-primary text-uppercase fw-bold mb-2 w-100">SIGN UP AS RECRUITER</Link>
                             </div>
                             <div className="col-md-6">
-                                <Link to="/signup/job-seeker" className="btn auth-secondary-btn text-uppercase fw-bold mb-2 w-100">SIGN UP AS JOB SEEKER</Link>
+                                <Link to="/signup/job-seeker" className="btn btn-outline-primary text-uppercase fw-bold mb-2 w-100">SIGN UP AS JOB SEEKER</Link>
                             </div>
                         </div>
                     </div>
-
                 </div>
             </div>
Index: jobvista-frontend/src/views/auth/SignUpJobSeekerForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignUpJobSeekerForm.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/SignUpJobSeekerForm.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -83,5 +83,5 @@
                             <div className="d-grid mb-3">
                                 <button
-                                    className="btn btn-lg auth-primary-btn text-uppercase fw-bold mb-2"
+                                    className="btn btn-lg btn-primary text-uppercase fw-bold mb-2"
                                     type="submit">Submit
                                 </button>
Index: jobvista-frontend/src/views/auth/SignUpRecruiterForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignUpRecruiterForm.js	(revision 4d97b633e131eca76d6c290321725684fc1d5970)
+++ jobvista-frontend/src/views/auth/SignUpRecruiterForm.js	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -13,5 +13,5 @@
     const schema = yup.object().shape({
         companyNameReg: yup.string().required("Company name is required."),
-        phoneNumberReg: yup.string().required("Phone number is required"),
+        phoneNumberReg: yup.number().required("Phone number is required"),
         companyEmailReg: yup.string().required("Email is required.").email("Email is not valid."),
         passwordReg: yup.string().min(6, "Password must be at least 6 characters.").required("Password is required."),
@@ -32,5 +32,5 @@
                     //     theme: success ? 'success' : 'error'
                     // });
-                    success && navigate("/no-access");
+                    success && navigate("/");
                 }));
         } catch (err) {
@@ -80,5 +80,5 @@
                             <div className="d-grid mb-3">
                                 <button
-                                    className="btn btn-lg auth-primary-btn text-uppercase fw-bold mb-2"
+                                    className="btn btn-lg btn-primary text-uppercase fw-bold mb-2"
                                     type="submit">Submit
                                 </button>
